export var preparePaddings = function (paddings) {
    if (typeof paddings === 'number') {
        return { padding: paddings };
    }
    switch (paddings === null || paddings === void 0 ? void 0 : paddings.length) {
        case 2: {
            return {
                paddingVertical: paddings[0],
                paddingHorizontal: paddings[1],
            };
        }
        case 3: {
            return {
                paddingTop: paddings[0],
                paddingHorizontal: paddings[1],
                paddingBottom: paddings[2],
            };
        }
        case 4: {
            return {
                paddingTop: paddings[0],
                paddingRight: paddings[1],
                paddingBottom: paddings[2],
                paddingLeft: paddings[3],
            };
        }
        default: {
            return { padding: paddings };
        }
    }
};
