import { useContext } from 'react';
import { LayoutContext } from '../context';
export var useStack = function () {
    var context = useContext(LayoutContext);
    if (context === undefined) {
        throw new Error('LayoutContext is not defined');
    }
    return context;
};
